# HG changeset patch
# User Jens Jensen <kd4tjx@yahoo.com>
# Date 1388364965 21600
#      Sun Dec 29 18:56:05 2013 -0600
# Node ID b05be8b41821aac696d34e423741610110dc531b
# Parent  4527691f29591c2298efb51d94c5bcb714b054a3
[bj-uv55] refactor bj-uv55 class out of uv5r.py, part 1 #1335

diff -r 4527691f2959 -r b05be8b41821 chirp/uv5r.py
--- a/chirp/uv5r.py	Fri Dec 27 19:18:21 2013 -0500
+++ b/chirp/uv5r.py	Sun Dec 29 18:56:05 2013 -0600
@@ -327,7 +327,6 @@
 UV5R_MODEL_291 = "\x50\xBB\xFF\x20\x12\x07\x25"
 UV5R_MODEL_F11 = "\x50\xBB\xFF\x13\xA1\x11\xDD"
 UV82_MODEL =     "\x50\xBB\xFF\x20\x13\x01\x05"
-BJUV55_MODEL   = "\x50\xBB\xDD\x55\x63\x98\x4D"
 
 def _upper_band_from_data(data):
     return data[0x03:0x04]
@@ -1368,20 +1367,4 @@
     _basetype = "82"
     _idents = [UV82_MODEL]
 
-@directory.register
-class BaojieBJUV55Radio(BaofengUV5R):
-    VENDOR = "Baojie"
-    MODEL = "BJ-UV55"
-    _basetype = "BJ55"
-    _idents = [ BJUV55_MODEL ]
-    _mem_params = ( 0x1928  # poweron_msg offset
-                    )
-    _fw_ver_file_start = 0x1938
-    _fw_ver_file_stop = 0x193E
     
-    def get_features(self):
-        rf = super(BaojieBJUV55Radio, self).get_features()
-        #rf.has_settings = False
-        rf.valid_name_length = 6
-        return rf
-    
